﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v14.2, Version=14.2.20142.2317, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script>

    <script>
        function SetDateValue() {
            ig_controls.WebDataGrid1.get_behaviors().get_editingCore().get_behaviors().get_rowAdding().get_row().get_cellByColumnKey("Date").set_value(new Date());
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" EnableScriptGlobalization="true" runat="server">
            </asp:ScriptManager>

            <ig:WebDataGrid ID="WebDataGrid1" runat="server" Width="70%"
                OnRowUpdating="WebDataGrid1_RowUpdating" DataKeyFields="id">
                <EditorProviders>
                    <ig:DropDownProvider ID="WebDataGrid1_DropDownProvider1">
                        <EditorControl ClientIDMode="Predictable" DropDownContainerMaxHeight="200px" Width="350px"
                            EnableAnimations="False" EnableDropDownAsChild="False" DataSourceID="OrdersDS">
                            <DropDownItemBinding TextField="ShipName" ValueField="OrderID" />
                        </EditorControl>
                    </ig:DropDownProvider>
                    <ig:DatePickerProvider ID="WebDataGrid1_DatePickerProvider1">
                        <EditorControl ClientIDMode="Predictable">
                        </EditorControl>
                    </ig:DatePickerProvider>
                </EditorProviders>
                <Behaviors>
                    <ig:EditingCore AutoCRUD="true">
                        <Behaviors>
                            <ig:CellEditing>
                                <EditModeActions MouseClick="Single" EnableOnActive="true" />
                                <ColumnSettings>
                                    <ig:EditingColumnSetting ColumnKey="Order" EditorID="WebDataGrid1_DropDownProvider1" />
                                </ColumnSettings>
                            </ig:CellEditing>
                            <ig:RowAdding>
                                <EditModeActions MouseClick="Single" EnableOnActive="true" />
                                <ColumnSettings>
                                    <ig:RowAddingColumnSetting ColumnKey="Order" EditorID="WebDataGrid1_DropDownProvider1" />
                                    <ig:RowAddingColumnSetting ColumnKey="Date" EditorID="WebDataGrid1_DatePickerProvider1" />
                                </ColumnSettings>
                            </ig:RowAdding>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Selection CellClickAction="Cell" Enabled="true" CellSelectType="Multiple">
                    </ig:Selection>
                </Behaviors>
            </ig:WebDataGrid>

            <input id="btn" onclick="SetDateValue()" value="set date value" type="button" />
            <asp:Button ID="Button1" runat="server" Text="Save changes" />
            <asp:SqlDataSource ID="OrdersDS" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                SelectCommand="SELECT TOP (1200) OrderID, ShipName, OrderDate FROM Orders"></asp:SqlDataSource>
        </div>
    </form>
</body>
</html>
